.button-container {
  position: relative;
  transform: translate(0px, 150px);
  z-index: 10;
}

.button {
  display: flex;
  align-items: center;
  padding: 10px 20px;
  width: 450px;
  height: 70px;
  font-weight: 600;
  background: rgb(0, 27, 0);
  border: 2px solid rgb(0, 207, 0);
  border-radius: 100px;
  color: white;
  font-size: 24px;
  cursor: pointer;
  box-shadow: 0 0 10px rgba(0, 255, 0, 0.5);
  transition: all 0.3s ease;
}

.button:hover {
  box-shadow: 0 0 20px rgba(0, 255, 0, 0.8);
}

.register {
  color: #fee71b;
  padding: 5px 10px;
  width: 40%;
  height: 50px;
  line-height: 40px;
  text-align: center;
  border-radius: 45px;
  margin-right: 10px;
  border: 1px solid #00ff22;
  white-space: nowrap;
  transition: all 0.3s ease;
  background: linear-gradient(to bottom, #00ff22, #053800);
}
.uudai {
  width: 60%;
  transition: all 0.3s ease;
  color: #174217;
  white-space: nowrap;
}
.button:hover .register {
  transform: translateX(calc(150%));
}
.button:hover .uudai {
  transform: translateX(calc(-70%));
  color: #faefb4;
  text-shadow: 0 0 5px #fee71b, 0 0 5px #fee71b, 0 0 2px #fee71b;
}

.coin {
  position: absolute;
  width: 50px;
  height: 50px;
  top: 10px;
  border-radius: 50%;
  animation: coinFall 2s ease-in infinite;
  background: url(../images/coin.png) no-repeat center center;
  background-size: contain;
  z-index: -1;
}

@keyframes coinFall {
  0% {
    transform: translateY(-50px) rotate(0deg);
    opacity: 1;
  }
  100% {
    transform: translateY(100px) rotate(360deg);
    opacity: 0;
  }
}
@media (max-width: 768px) {
  .button {
    width: 300px;
    height: 50px;
    font-size: 16px;
  }
  .register {
    height: 40px;
    line-height: 30px;
  }
  .uudai {
    color: #faefb4;
    text-shadow: 0 0 5px #fee71b, 0 0 5px #fee71b, 0 0 2px #fee71b;
  }
}
